<?php
if (!defined("TKM")) {
	die("<pre>Access denied!</pre>");
}

$page['title']   = "Товары";
$page['pid']	 = "goods";

if (isset($_GET['do']) && $_GET['do'] == "edit") {
	$id = (int) @$_GET['id'];
	$row = $link->query("SELECT * FROM `AD_GOODS` WHERE `id` = '{$id}'")->fetch();

	if (empty($row['name'])) {
		MessageSend(1, "Не найдено!", '?mode=goods');
	}

	if ($_SERVER['REQUEST_METHOD'] == "POST") {
		$name = TextSave(@$_POST['name']);
		$cost = (int) @$_POST['cost'];
		$cupon = (int) @$_POST['cupon'];
		$count = @$_POST['count'];
		$cat = (int) @$_POST['cat'];
		$dobuy = (@$_POST['dobuy'] == 0) ? 0 : 1;
		$priority = (int) @$_POST['priority'];
		$command = @$_POST['command'];

		if (empty($name)) {
			MessageSend(1, "Заполните все поля!");
		}

		if (empty($command) or !is_array($command)) {
			MessageSend(1, "Забейте хотя-бы одну команду!");
		}

		if (empty(@$link->query("SELECT `id` FROM `AD_CATEGORIES` WHERE `id` = '{$cat}'")->fetch()['id'])) {
			MessageSend(1, "Выберите категорию!");
		}

		$commands = array();

		for ($i = 0; $i <= count($command) ; $i++) {
			if (!empty($command[$i])) {
				$commands[] = addcslashes($command[$i], '\'"');
			}
		}

		if (count($commands) <= 0) {
			MessageSend(1, "Заполните все поля!");
		}

		$commands = json_encode($commands, JSON_UNESCAPED_UNICODE);

		if ($count != "-") {
			$count = (int) $count;
		}

		if (@$_POST['server'] != -1 || @$_POST['server'] != '*') {
			if (isset($_POST['server']) &&
				(int)$_POST['server'] <= (count($config['servers']) - 1) &&
				(int)$_POST['server'] >= 0
			) {
				$server = (int)$_POST['server'];
			} else {
				$server = '*';
			}
		} else {
			$server = '*';
		}

		$query = $link->prepare("UPDATE `AD_GOODS`
		    SET `name` = ?, `cost` = ?,`cupon`=?,`count`=?,
		    `commands`=?,`server` = ?,`cat` = ?,`priority` = ?, `dobuy` = ?
		    WHERE `id` = ?");

		$query->execute([
		    $name,
            $cost,
            $cupon,
            $count,
            $commands,
            $server,
            $cat,
            $priority,
            $dobuy,
            $id,
        ]);

		MessageSend(3, "Товар успешно изменён!", '?mode=goods');
	}

	if ($row['server'] != '*') {
		if ($row['server'] <= (count($config['servers']) - 1) && $row['server'] >= 0) {
			$server = $row['server'];
		} else {
			$server = '-1';
		}
	} else {
		$server = '-1';
	}

	ob_start();

	for ($i = 0; $i < count($config['servers']); $i++)	{
		include LD_STYLE_DIR . '/admin/goods/servers_id.html';
	}

	$servers = ob_get_clean();
	$query = $link->query("SELECT * FROM `AD_CATEGORIES`");

	ob_start();

	while ($crow = $query->fetch()) {
		include LD_STYLE_DIR . '/admin/goods/cat_id.html';
	}

	$cats = ob_get_clean();
	$commands = json_decode($row['commands']);

	ob_start();

	for ($a = 0; $a < count($commands); $a++) {
		include LD_STYLE_DIR . '/admin/goods/command.html';
	}

	$commands = ob_get_clean();
	$ii = $a;

	$page['title'] = "Редактирование Товара \"{$row['name']}\"";

	ob_start();
	include LD_STYLE_DIR . '/admin/goods/edit.html';
	$page['content'] = ob_get_clean();
} elseif (isset($_GET['do']) && $_GET['do'] == "add") {
	if ($_SERVER['REQUEST_METHOD'] == "POST") {
		$name = TextSave(@$_POST['name']);
		$cost = (int) @$_POST['cost'];
		$cupon = (int) @$_POST['cupon'];
		$count = @$_POST['count'];
		$cat = (int) @$_POST['cat'];
		$dobuy = (@$_POST['dobuy'] == 0) ? 0 : 1;
		$priority = (int) @$_POST['priority'];
		$command = @$_POST['command'];

		if (empty($name)) {
			MessageSend(1, "Заполните все поля!");
		}

		if (empty($command) or !is_array($command)) {
			MessageSend(1, "Забейте хотя-бы одну команду!");
		}

		if (empty($link->query("SELECT `id` FROM `AD_CATEGORIES` WHERE `id` = '{$cat}'")->fetch()['id'])) {
			MessageSend(1, "Выберите категорию!");
		}

		$commands = array();

		for ($i = 0; $i <= count($command) ; $i++) {
			if (!empty($command[$i])) {
				$commands[] = addcslashes($command[$i], '\'"');
			}
		}

		if (count($commands) <= 0) {
			MessageSend(1, "Заполните все поля!");
		}

		$commands = json_encode($commands, JSON_UNESCAPED_UNICODE);

		if ($count != "-") {
			$count = (int) $count;
		}

		if (@$_POST['server'] != -1 || @$_POST['server'] != '*') {
			if (isset($_POST['server']) &&
				(int)$_POST['server'] <= (count($config['servers']) - 1) &&
				(int)$_POST['server'] >= 0
			) {
				$server = (int)$_POST['server'];
			} else {
				$server = '*';
			}
		} else {
			$server = '*';
		}

        $query = $link->prepare("INSERT INTO `AD_GOODS`
		    (`name`,`cost`,`cupon`,`count`,`commands`,`server`, `cat`, `priority`, `dobuy`) VALUES
		    (?,?,?,?,?,?,?,?, ?)");

        $query->execute([
            $name,
            $cost,
            $cupon,
            $count,
            $commands,
            $server,
            $cat,
            $priority,
            $dobuy,
        ]);
		MessageSend(3, "Товар успешно добавлен!");
	}

	$page['title'] = "Добавление товара";

	$row = array('name' => '', 'cost' => '', 'cupon' => '', 'count' => '', 'commands' => '', );
	$server = '-1';

	ob_start();

	for ($i = 0; $i < count($config['servers']); $i++) {
		include LD_STYLE_DIR . '/admin/goods/servers_id.html';
	}

	$servers = ob_get_clean();
	$query = $link->query("SELECT * FROM `AD_CATEGORIES`");

	ob_start();

	while ($crow = $query->fetch()) {
		include LD_STYLE_DIR . '/admin/goods/cat_id.html';
	}

	$cats = ob_get_clean();
	$ii = 1;
	$a = 1;
	$commands[$a] = '';

	ob_start();
	include LD_STYLE_DIR . '/admin/goods/command.html';
	$commands = ob_get_clean();

	ob_start();
	include LD_STYLE_DIR . '/admin/goods/edit.html';
	$page['content'] = ob_get_clean();
} elseif (isset($_GET['do']) && $_GET['do'] == "delete") {
	$id = (int) $_GET['id'];

	if ($_SERVER['REQUEST_METHOD'] == "POST") {
		$check = $link->query("SELECT `id` FROM `AD_GOODS` WHERE `id` = '{$id}'")->fetch();

		if (empty($check['id'])) {
			MessageSend(1, "Не найдено!", '?mode=goods');
		}

		if (!$link->prepare("DELETE FROM `AD_GOODS` WHERE `id` = '{$id}'")->execute()) {
			MessageSend(1, "Ошибка при совершении действия!", '?mode=goods');
		}

		MessageSend(3, "Товар успешно удалён!", '?mode=goods');
	}

	$page['title'] = "Подтверждение";

	ob_start();
	include LD_STYLE_DIR . '/admin/check.html';
	$page['content'] = ob_get_clean();
} else {
	$qur = $link->query("SELECT * FROM `AD_GOODS` ORDER BY `id`");

	ob_start();

	while ($data = $qur->fetch()) {
		include LD_STYLE_DIR . '/admin/goods/list_id.html';
	}

	$list = ob_get_clean();

	if (empty($list)) {
		$list = '<tr><td class="text-center" colspan="7"><b>Пусто <i class="ti-face-sad"></i></b></td></tr>';
	}

	ob_start();
	include LD_STYLE_DIR . '/admin/goods/main.html';
	$page['content'] = ob_get_clean();
}