<?php
define("TKM", true);
require(dirname(__FILE__) . '/system.php');
set_time_limit(-1);

$yesterday = time() - 86400;

$sql = $link->prepare("DELETE FROM `AD_PAYMENTS` WHERE `status` = 0 AND `time` < :yesterday");
$sql->execute(array(':yesterday' => $yesterday,));
$query = $link->query("SELECT `id` FROM `AD_PAYMENTS` WHERE `status` = 2");

$payments = 0;

while($data = $query->fetch()) {
	$payment = new Payment;
	$payment->select($data['id']);
	$payment->give();
	$payments++;
}

echo "<pre>OK" . PHP_EOL;
echo "Обработано: {$payments} платеж(-а/-ей).</pre>";

$serversData = [];
foreach ($config['servers'] as $server) {
    $serversData[] = $server['host'] . ':' . $server['port'];
}
$serversData = implode(',', $serversData);

// Если у вас MCPE сервер, замените ниже mc на mcpe
$url = 'https://use.gameapis.net/mc/query/players/' . $serversData;

$response = @file_get_contents($url);
if ($response) {
    $response = json_decode($response, true);

    foreach ($config['servers'] as &$server) {
        $rData = $response[$server['host']. ':' .$server['port']];
        if ($rData['status'] === true) {
            $server['onlinePlayers'] = $rData['players']['online'];
            $server['totalPlayers']  = $rData['players']['max'];
        } else {
            $server['onlinePlayers'] = 0;
            $server['totalPlayers']  = 0;
        }
    }

    savecfg();
}