<?php
/**
 * Говнокодерная "типа" проверка безопасности
 */
if (!defined('TKM')) { die('HACKING ATTEMPT!'); }

// Включение отображения объявления (если оно заполнено) на странице
$pageData['hideAdvert']     = false;
$pageData['hideLastBuyers'] = false;
$enableShowServerOnline     = true; // Показывать ли прогресс бар с онлайном сервера

$data = [
    'servers' => false,
];

$i = 0;
foreach ($config['servers'] as $sid => $server) {
    $categoriesQuery = $link->query("SELECT * FROM `AD_CATEGORIES` ORDER BY `priority` DESC");
    $goods           = false;
    $payments        = false;

    foreach ($categoriesQuery as $cat) {
        $goodsQuery = $link->query("SELECT * FROM `AD_GOODS` WHERE (`count` > 0 OR `count` = '-') AND (`server` = '{$sid}' OR `server` = '*') AND (`cat` = '{$cat['id']}') ORDER BY `priority` DESC, `cost` ASC");
        $goodsList = '';

        foreach ($goodsQuery as $goodItem) {
            $goodItem['cuponNote'] = '';
            if ($goodItem['cupon'] !== NULL && $goodItem['cupon'] > 0) {
                $goodItem['cost'] = $goodItem['cost'] - (($goodItem['cost'] * $goodItem['cupon']) / 100);
                $goodItem['cuponNote'] .= ' [Скидка ' . $goodItem['cupon'] . '%]';
            }

            $goodsList .= loadTpl('/pages/main/option.html', $goodItem);
        }

        if (!empty($goodsList)) {
            $goodsList = loadTpl('/pages/main/category.html', [
                'goods' => $goodsList,
                'cat'   => $cat,
            ]);
        }

        $goods .= $goodsList;
    }

    foreach ($merchantsArray as $merchant) {
        if (${$merchant}['settings']['enable']) {
            $merchantName = (isset(${$merchant}['name'])) ? ${$merchant}['name'] : $merchant;

            $payments .= loadTpl('/pages/main/merchant.html', [
                'merchant' => $merchant,
                'name'     => $merchantName,
            ]);
        }
        if (isset(${$merchant}['addon'])) {
            foreach (${$merchant}['addon'] as $addon => $pop) {
                if (isset(${$merchant}['addon'][$addon]['enable']) && ${$merchant}['addon'][$addon]['enable'] === true) {
                    $merchantName = (isset(${$merchant}['addon'][$addon]['name'])) ? ${$merchant}['addon'][$addon]['name'] : $addon;

                    $payments .= loadTpl('/pages/main/merchant.html', [
                        'merchant' => $merchant . '|' . $addon,
                        'name'     => $merchantName,
                    ]);
                }
            }
        }
    }

    $data['servers'] .= loadTpl('/pages/main/server.html', [
        'i'         => $i,
        'goods'     => $goods,
        'merchants' => $payments,
    ]);
    $i++;
}

echo $data['servers'];

echo loadTpl('/pages/main/main.html');