<?php
if (!defined("TKM")) die("<pre>Access denied!</pre>");

$data = array(
  'user' => 'tel:+' . $phone,
  'amount' => $cost . '.00',
  'ccy' => 'RUB',
  'comment' => $desc,
  'lifetime' => date('Y-m-d', strtotime(date('Y-m-d') . " + 1 DAY")) . "T00:00:00",
  'pay_source' => 'qw',
  'prv_name' => $config['main']['site_name']
);

$ch = curl_init('https://api.qiwi.com/api/v2/prv/' . $qiwi['settings']['shop_id'] . '/bills/' . $payid);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'PUT');
curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($data));
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);
curl_setopt($ch, CURLOPT_USERPWD, $qiwi['settings']['api_id'] . ':' . $qiwi['settings']['api_pass']);
curl_setopt($ch, CURLOPT_HTTPHEADER, array(
  "Accept: text/json",
  "Content-type: application/x-www-form-urlencoded; charset=utf-8"
));

$results = curl_exec($ch) or die(curl_error($ch));
$response = @json_decode($results);

/* Проверка выставленного счёта (опционально)
if ($response->result_code != 0) {
	MessageSend(1, "Ошибка в создании счета!", 'index.php');
}
*/

curl_close($ch);

$successUrl = 'http://' . $config['main']['mainurl'] . '?pstatus=success';
$failUrl = 'http://' . $config['main']['mainurl'] . '?pstatus=fail';

exit(header("Location: https://bill.qiwi.com/order/external/main.action?shop={$qiwi['settings']['shop_id']}&transaction={$payid}&successUrl={$successUrl}&failUrl={$failUrl}&pay_source={$qiwi['addon']}"));