<?php
define("TKM", true);
require(realpath("../../system.php"));

if ($_SERVER['REQUEST_METHOD'] == "POST") {
	function hexToStr($hex) {
		$string = '';

		for ($i = 0; $i < strlen($hex) - 1; $i+= 2){
			$string .= chr(hexdec($hex[$i] . $hex[$i + 1]));
		}

		return $string;
	}

	function checkSign($key, $req) {
		$sign_hash = hash_hmac('sha1', $req, $key);
		$sign_tr = hexToStr($sign_hash);
		$sign = base64_encode($sign_tr);
		return $sign;
	}

	function getReqParams() {
		$reqparams = '';
		ksort($_POST);

		foreach ($_POST as $param => $valuep) {
			$reqparams = "$reqparams|$valuep";
		}

		return substr($reqparams,1);
	}

	function getSign() {
		$HEADERS = getallheaders();

		foreach ($HEADERS as $header => $value) {
			if ($header == 'X-Api-Signature') {
				$SIGN_REQ = $value;
			}
		}

		return $SIGN_REQ;
	}

	$Request = getReqParams();
	$reqres = checkSign($qiwi['settings']['notify_pass'], $Request);
	$SIGN_REQ = getSign();

	if ($reqres == $SIGN_REQ) {
		$error = 0;

		$payid = $_POST['bill_id'];
		$payment = new Payment;
		$status = $payment->select($payid, $_POST['amount']);
		$status = $payment->give();
	} else $error = 150;

	header('Content-Type: text/xml');

	$xmlres = <<<XML
	<?xml version="1.0"?>
	<result>
	<result_code>$error</result_code>
	</result>
XML;

	echo $xmlres;
}