<?php
if (!defined("TKM")) {
	die("<pre>Access denied!</pre>");
}

$page['title'] = "Категории";
$page['pid']   = "category";

if (isset($_GET['do']) && $_GET['do'] == "add") {
	if ($_SERVER['REQUEST_METHOD'] == "POST") {
		$name = TextSave(@$_POST['title']);
		$priority = (int) @$_POST['priority'];

		if (empty($name)) {
			MessageSend(1, "Введите имя категории!");
		}

		$query = $link->prepare("INSERT INTO `AD_CATEGORIES` VALUES (NULL, :name, :prio)");

		$arr = array("name" => $name, "prio" => $priority);

		if ($query->execute($arr)) {
			MessageSend(3, "Категория успешно добавлена!", '?mode=category');
		} else {
			MessageSend(1, "Ошибка при добавлении категории.", '?mode=category');
		}
	}

	$row = array("title" => '',);
	ob_start();
	include LD_STYLE_DIR . '/admin/category/edit.html';
	$page['content'] = ob_get_clean();
} elseif (isset($_GET['do']) && $_GET['do'] == "edit") {
	$id = (int) $_GET['id'];
	$row = $link->query("SELECT * FROM `AD_CATEGORIES` WHERE `id` = '$id'")->fetch();

	if (empty($row['id'])) {
		MessageSend(1, "Категория не найдена!", '?mode=category');
	}

	if ($_SERVER['REQUEST_METHOD'] == "POST") {
		$name = TextSave(@$_POST['title']);
		$priority = (int) @$_POST['priority'];

		if (empty($name)) MessageSend(1, "Введите имя категории!");

		$query = $link->prepare("UPDATE `AD_CATEGORIES` SET `title` = :name, `priority` = :priority WHERE `id` = :id");
		$arr = array("name" => $name, "id" => $id, "priority" => $priority);

		if ($query->execute($arr)) {
			MessageSend(3, "Категория успешно изменена!", '?mode=category');
		} else {
			MessageSend(1, "Ошибка при изменении категории.", '?mode=category');
		}
	}

	ob_start();
	include LD_STYLE_DIR . '/admin/category/edit.html';
	$page['content'] = ob_get_clean();
} elseif (isset($_GET['do']) && $_GET['do'] == "delete") {
	$id = (int) $_GET['id'];

	if ($_SERVER['REQUEST_METHOD'] == "POST") {
		$check = @$link->query("SELECT * FROM `AD_CATEGORIES` WHERE `id` = '{$id}'")->fetch();

		if (empty($check['id'])) MessageSend(1, "Категория не найдена!", '?mode=category');

		$query = $link->prepare("DELETE FROM `AD_CATEGORIES` WHERE `id` = :id")->execute(array("id" => $id));

		if (!$query) {
			MessageSend(1, "Ошибка при удалении категории!", '?mode=category');
		}

		MessageSend(3, "Категория успешно удалена!", '?mode=category');
	}

	$page['title'] = "Подтверждение";
	ob_start();
	include LD_STYLE_DIR . '/admin/check.html';
	$page['content'] = ob_get_clean();
} else {
	$query = $link->query("SELECT * FROM `AD_CATEGORIES` ORDER BY `priority` DESC");
	$id = 0;

	ob_start();

	while ($data = $query->fetch())	{
		$id++;
		include LD_STYLE_DIR . '/admin/category/list_id.html';
	}

	$list = ob_get_clean();
	$list = (empty($list)) ? '<tr><td colspan="4" class="text-center"><b>Пусто</b></td></tr>' : $list;

	ob_start();
	include LD_STYLE_DIR . '/admin/category/main.html';
	$page['content'] = ob_get_clean();
}