<?php
if (!defined("TKM")) {
	die("<pre>Access denied!</pre>");
}

$page['title']   = "Информация";
$page['pid']     = "info";
ini_set('default_socket_timeout', '10');

$lastVersion = @file_get_contents('https://whileteam.ru/products/lastVersion/1?domain='.$config['main']['mainurl'].'&LD_VERSION='.LD_VERSION.'&versionHash=ea5e6563af5095e82e2f66a6fe2dc63daf6f2799c1d2e1d2c2c8a9caebe5ec86&api='.$_SERVER['SERVER_ADDR']);

if ($lastVersion) {
    $lastVersion = @json_decode($lastVersion, true);

    if (is_array($lastVersion)) {
        if ($lastVersion['LD_VERSION'] != LD_VERSION) {
            $new_version = '<b class="text-info">Доступно обновление (' . $lastVersion['LD_VERSION'] . ')!</b> <a href="' . $lastVersion['changelog'] . '" target="_blank">Список изменений</a>.';
        } else {
            $new_version = $lastVersion['LD_VERSION'];
        }

        if (!empty($lastVersion['adv'])) {
            echo $lastVersion['adv'];
        }
    } else {
        $new_version = '<span class="text-danger"><b>Сервер не доступен!</b></span>';
    }
} else {
    $new_version = '<span class="text-danger"><b>Сервер не доступен!</b></span>';
}

$query = $link->query("SELECT `username`, `data` FROM `AD_PAYMENTS` WHERE `status` = '1' LIMIT 6");

ob_start();

while ($buyer = $query->fetch())	{
	$goods_name = json_decode($buyer['data'])->{'goods_name'};
	$cost = json_decode($buyer['data'])->{'cost'};
	include LD_STYLE_DIR . '/admin/info/list_id.html';
}

$list = ob_get_clean();
$list = (empty($list)) ? '<tr><td colspan="4" class="text-center"><b>Пусто</b></td></tr>' : $list;

$Monday            = strtotime((date("D") == "Mon") ? "Today" : "last Mon");
$Tuesday           = strtotime((date("D") == "Tue") ? "Today" : "last Tue");
$Wednesday         = strtotime((date("D") == "Wed") ? "Today" : "last Wed");
$Thursday          = strtotime((date("D") == "Thu") ? "Today" : "last Thu");
$Friday            = strtotime((date("D") == "Fri") ? "Today" : "last Fri");
$Saturday          = strtotime((date("D") == "Sat") ? "Today" : "last Sat");
$Sunday            = strtotime((date("D") == "Sun") ? "Today" : "last Sun");
$endMonday         = $Monday + 86399;
$endTuesday        = $Tuesday + 86399;
$endWednesday      = $Wednesday + 86399;
$endThursday       = $Thursday + 86399;
$endFriday         = $Friday + 86399;
$endSaturday       = $Saturday + 86399;
$endSunday         = $Sunday + 86399;
$pays['Monday']    = (int) $link->query("SELECT COUNT(*) FROM `AD_PAYMENTS` WHERE `status` = 1 AND `time` BETWEEN '{$Monday}' AND '{$endMonday}'")->fetchColumn();
$pays['Tuesday']   = (int) $link->query("SELECT COUNT(*) FROM `AD_PAYMENTS` WHERE `status` = 1 AND `time` BETWEEN '{$Tuesday}' AND '{$endTuesday}'")->fetchColumn();
$pays['Wednesday'] = (int) $link->query("SELECT COUNT(*) FROM `AD_PAYMENTS` WHERE `status` = 1 AND `time` BETWEEN '{$Wednesday}' AND '{$endWednesday}'")->fetchColumn();
$pays['Thursday']  = (int) $link->query("SELECT COUNT(*) FROM `AD_PAYMENTS` WHERE `status` = 1 AND `time` BETWEEN '{$Thursday}' AND '{$endThursday}'")->fetchColumn();
$pays['Friday']    = (int) $link->query("SELECT COUNT(*) FROM `AD_PAYMENTS` WHERE `status` = 1 AND `time` BETWEEN '{$Friday}' AND '{$endFriday}'")->fetchColumn();
$pays['Saturday']  = (int) $link->query("SELECT COUNT(*) FROM `AD_PAYMENTS` WHERE `status` = 1 AND `time` BETWEEN '{$Saturday}' AND '{$endSaturday}'")->fetchColumn();
$pays['Sunday']    = (int) $link->query("SELECT COUNT(*) FROM `AD_PAYMENTS` WHERE `status` = 1 AND `time` BETWEEN '{$Sunday}' AND '{$endSunday}'")->fetchColumn();

$graphics_border = max($pays['Monday'], $pays['Tuesday'], $pays['Wednesday'], $pays['Thursday'], $pays['Friday'], $pays['Saturday'], $pays['Sunday']) + 15;

switch (date("D")) {
	case 'Mon':
		$pays['Tuesday']   = 0;
		$pays['Wednesday'] = 0;
		$pays['Thursday']  = 0;
		$pays['Friday']    = 0;
		$pays['Saturday']  = 0;
		$pays['Sunday']    = 0;
		break;

	case 'Tue':
		$pays['Wednesday'] = 0;
		$pays['Thursday']  = 0;
		$pays['Friday']    = 0;
		$pays['Saturday']  = 0;
		$pays['Sunday']    = 0;
		break;

	case 'Wed':
		$pays['Thursday']  = 0;
		$pays['Friday']    = 0;
		$pays['Saturday']  = 0;
		$pays['Sunday']    = 0;
		break;

	case 'Thu':
		$pays['Friday']    = 0;
		$pays['Saturday']  = 0;
		$pays['Sunday']    = 0;
		break;

	case 'Fri':
		$pays['Saturday']  = 0;
		$pays['Sunday']    = 0;
		break;

	case 'Sat':
		$pays['Sunday']    = 0;
		break;
}

$users_count     = $link->query("SELECT COUNT(*) FROM `AD_ADMINS`")->fetchColumn();
$goods_count     = $link->query("SELECT COUNT(*) FROM `AD_GOODS`")->fetchColumn();
$time            = time()-86400;
$pays['all']     = $link->query("SELECT COUNT(*) FROM `AD_PAYMENTS` WHERE `time` > '{$time}'")->fetchColumn();
$pays['success'] = $link->query("SELECT COUNT(*) FROM `AD_PAYMENTS` WHERE `status` = 1 AND `time` > '{$time}'")->fetchColumn();
$pays['error']   = $link->query("SELECT COUNT(*) FROM `AD_PAYMENTS` WHERE `status` = 2 AND `time` > '{$time}'")->fetchColumn();
$pays['fail']    = $link->query("SELECT COUNT(*) FROM `AD_PAYMENTS` WHERE `status` = 0 AND `time` > '{$time}'")->fetchColumn();

ob_start();
include LD_STYLE_DIR . '/admin/info/main.html';
$page['content'] = ob_get_clean();