<?php
if (!defined("TKM")) {
	die("<pre>Access denied!</pre>");
}

$page['title']   = "Настройки";
$page['pid']	 = "settings";

$bootstrapVars = [
	'default' => [
		'img' => 'style/img/bootstrap_default.png',
		'url' => '',
	],
	'cerulean' => [
		'img' => 'https://bootswatch.com/3/cerulean/thumbnail.png',
		'url' => 'https://maxcdn.bootstrapcdn.com/bootswatch/3.3.7/cerulean/bootstrap.min.css',
	],
	'cosmo' => [
		'img' => 'https://bootswatch.com/3/cosmo/thumbnail.png',
		'url' => 'https://maxcdn.bootstrapcdn.com/bootswatch/3.3.7/cosmo/bootstrap.min.css',
	],
	'cyborg' => [
		'img' => 'https://bootswatch.com/3/cyborg/thumbnail.png',
		'url' => 'https://maxcdn.bootstrapcdn.com/bootswatch/3.3.7/cyborg/bootstrap.min.css',
	],
	'darkly' => [
		'img' => 'https://bootswatch.com/3/darkly/thumbnail.png',
		'url' => 'https://maxcdn.bootstrapcdn.com/bootswatch/3.3.7/darkly/bootstrap.min.css',
	],
	'flatly' => [
		'img' => 'https://bootswatch.com/3/flatly/thumbnail.png',
		'url' => 'https://maxcdn.bootstrapcdn.com/bootswatch/3.3.7/flatly/bootstrap.min.css',
	],
	'journal' => [
		'img' => 'https://bootswatch.com/3/journal/thumbnail.png',
		'url' => 'https://maxcdn.bootstrapcdn.com/bootswatch/3.3.7/journal/bootstrap.min.css',
	],
	'lumen' => [
		'img' => 'https://bootswatch.com/3/lumen/thumbnail.png',
		'url' => 'https://maxcdn.bootstrapcdn.com/bootswatch/3.3.7/lumen/bootstrap.min.css',
	],
	'paper' => [
		'img' => 'https://bootswatch.com/3/paper/thumbnail.png',
		'url' => 'https://maxcdn.bootstrapcdn.com/bootswatch/3.3.7/paper/bootstrap.min.css',
	],
	'readable' => [
		'img' => 'https://bootswatch.com/3/readable/thumbnail.png',
		'url' => 'https://maxcdn.bootstrapcdn.com/bootswatch/3.3.7/readable/bootstrap.min.css',
	],
	'sandstone' => [
		'img' => 'https://bootswatch.com/3/sandstone/thumbnail.png',
		'url' => 'https://maxcdn.bootstrapcdn.com/bootswatch/3.3.7/sandstone/bootstrap.min.css',
	],
	'simplex' => [
		'img' => 'https://bootswatch.com/3/simplex/thumbnail.png',
		'url' => 'https://maxcdn.bootstrapcdn.com/bootswatch/3.3.7/simplex/bootstrap.min.css',
	],
	'slate' => [
		'img' => 'https://bootswatch.com/3/slate/thumbnail.png',
		'url' => 'https://maxcdn.bootstrapcdn.com/bootswatch/3.3.7/slate/bootstrap.min.css',
	],
	'spacelab' => [
		'img' => 'https://bootswatch.com/3/spacelab/thumbnail.png',
		'url' => 'https://maxcdn.bootstrapcdn.com/bootswatch/3.3.7/spacelab/bootstrap.min.css',
	],
	'superhero' => [
		'img' => 'https://bootswatch.com/3/superhero/thumbnail.png',
		'url' => 'https://maxcdn.bootstrapcdn.com/bootswatch/3.3.7/superhero/bootstrap.min.css',
	],
	'united' => [
		'img' => 'https://bootswatch.com/3/united/thumbnail.png',
		'url' => 'https://maxcdn.bootstrapcdn.com/bootswatch/3.3.7/united/bootstrap.min.css',
	],
	'yeti' => [
		'img' => 'https://bootswatch.com/3/yeti/thumbnail.png',
		'url' => 'https://maxcdn.bootstrapcdn.com/bootswatch/3.3.7/yeti/bootstrap.min.css',
	],
];

if ($_SERVER['REQUEST_METHOD'] == "POST") {
	if (@$_GET['id'] == "links") {
		$config['links'] = array();
		$limit = 10;

		for ($i = 0; $i <= $limit ; $i++) {
			if (isset($_POST['link_name_' . $i]) &&
				isset($_POST['link_href_' . $i]) &&
				!empty($_POST['link_name_' . $i]) &&
				!empty($_POST['link_href_' . $i])
			) {
				if ($i == $limit &&
					isset($_POST['link_name_' . ($i + 1)]) &&
					!empty($_POST['link_name_' . ($i + 1)])
				) {
					$limit++;
				}

				$config['links'][]['name'] = $_POST['link_name_' . $i];
				$config['links'][(count($config['links']) - 1)]['href'] = $_POST['link_href_' . $i];

				if (isset($_POST['link_footer_' . $i])) {
					$config['links'][(count($config['links']) - 1)]['footer'] = true;
				} else {
					$config['links'][(count($config['links']) - 1)]['footer'] = false;
				}

				if (isset($_POST['link_blank_' . $i])) {
					$config['links'][(count($config['links']) - 1)]['blank'] = true;
				}
				else {
					$config['links'][(count($config['links']) - 1)]['blank'] = false;
				}
			}
		}
	} elseif (@$_GET['id'] == "rcon") {
		$config['servers'] = array();
		$limit = 10;

		for ($i = 0; $i <= $limit ; $i++) {
			if (isset($_POST['srv_name_' . $i]) &&
				isset($_POST['srv_host_' . $i]) &&
				isset($_POST['srv_port_' . $i]) &&
				isset($_POST['srv_password_' . $i]) &&
				!empty($_POST['srv_name_' . $i]) &&
				!empty($_POST['srv_host_' . $i]) &&
				!empty($_POST['srv_port_' . $i]) &&
				!empty($_POST['srv_password_' . $i])
			) {
				if ($i == $limit &&
					isset($_POST['srv_name_' . ($i + 1)]) &&
					!empty($_POST['srv_name_' . ($i + 1)])
				) {
					$limit++;
				}

				$config['servers'][]['name'] = $_POST['srv_name_' . $i];
				$config['servers'][(count($config['servers']) - 1)]['host'] = $_POST['srv_host_' . $i];
				$config['servers'][(count($config['servers']) - 1)]['port'] = $_POST['srv_port_' . $i];
				$config['servers'][(count($config['servers']) - 1)]['password'] = $_POST['srv_password_' . $i];
				$config['servers'][(count($config['servers']) - 1)]['totalPlayers'] = 1;
				$config['servers'][(count($config['servers']) - 1)]['onlinePlayers'] = 0;
                $config['servers'][(count($config['servers']) - 1)]['showMonitoring'] = (isset($_POST['srv_monitoring_' . $i])) ? true : false;
			}
		}
	} elseif (@$_GET['id'] == "notifications") {
		if (!empty($_POST['accessToken'])) {
			$config['vk']['accessToken'] = $_POST['accessToken'];
		}

		$config['vk']['accs'] = [];
		$limit = 10;

		for ($i = 0; $i <= $limit ; $i++) {
			if (!empty($_POST['acc_' . $i])) {
				if ($i == $limit && !empty($_POST['acc_' . ($i + 1)])) {
					$limit++;
				}

				$config['vk']['accs'][] = $_POST['acc_' . $i];
			}
		}
	} elseif (@$_GET['id'] == "design") {
        $config['main']['last_buyers'] = (isset($_POST['last_buyers'])) ? true : false;

		if (!empty($_POST['bootstrapVar'])) {
			$var = $_POST['bootstrapVar'];
			if (key_exists($var, $bootstrapVars)) {
				$config['main']['addon-css'] = $bootstrapVars[$var]['url'];
			}
		}
		if (!empty($_FILES['bg']) && $_FILES['bg']['error'] == 0) {
			if ($_FILES['bg']['type'] != 'image/png') {
				MessageSend(1, "Картинка должна быть в формате PNG!");
			}
			if (!move_uploaded_file($_FILES['bg']['tmp_name'], LD_STYLE_DIR . '/img/bg.png')) {
				MessageSend(1, "Не удалось изменить задний фон!");
			}
		}
	} elseif (@$_GET['id'] == "merchant") {
		foreach ($merchantsArray as $merchant) {
			foreach (${$merchant}['settings'] as $key => $value) {
				if ($key == 'enable' || $key == 'testing') {
					${$merchant}['settings'][$key] = (isset($_POST[$merchant . '_' . $key])) ? true : false;
				} elseif ($key == 'payment_type')  {
					${$merchant}['settings'][$key] = (isset($_POST[$merchant . '_' . $key])) ? ($_POST[$merchant . '_' . $key] != ${$merchant}['settings'][$key]) ? $_POST[$merchant . '_' . $key] : ${$merchant}['settings'][$key] : ${$merchant}['settings'][$key];
				} else {
					${$merchant}['settings'][$key] = (isset($_POST[$merchant . '_' . $key])) ? ($_POST[$merchant . '_' . $key] != ${$merchant}['settings'][$key]) ? TextSave($_POST[$merchant . '_' . $key]) : ${$merchant}['settings'][$key] : ${$merchant}['settings'][$key];
				}

				saveMerchant($merchant);
			}

			if (isset(${$merchant}['addon'])) {
				foreach (${$merchant}['addon'] as $addon => $pop) {
					if ($addon != 'default') {
						${$merchant}['addon'][$addon]['enable'] = (isset($_POST[$merchant . '_' . $addon])) ? true : false;
						saveMerchant($merchant);
					}
				}
			}
		}
	} else {
		$config['main']['site_name'] = (isset($_POST['site_name'])) ? ($_POST['site_name'] != $config['main']['site_name']) ? TextSave($_POST['site_name']) : $config['main']['site_name'] : $config['main']['site_name'];
        $config['main']['russianUsernames'] = (isset($_POST['russianUsernames'])) ? true : false;
		$config['main']['db_host'] = (isset($_POST['db_host'])) ? ($_POST['db_host'] != $config['main']['db_host']) ? TextSave($_POST['db_host']) : $config['main']['db_host'] : $config['main']['db_host'];
		$config['main']['db_port'] = (isset($_POST['db_port']) && (int) $_POST['db_port'] > 0) ? ($_POST['db_port'] != $config['main']['db_port']) ? (int) $_POST['db_port'] : $config['main']['db_port'] : $config['main']['db_port'];
		$config['main']['db_name'] = (isset($_POST['db_name'])) ? ($_POST['db_name'] != $config['main']['db_name']) ? TextSave($_POST['db_name']) : $config['main']['db_name'] : $config['main']['db_name'];
		$config['main']['db_user'] = (isset($_POST['db_user'])) ? ($_POST['db_user'] != $config['main']['db_user']) ? TextSave($_POST['db_user']) : $config['main']['db_user'] : $config['main']['db_user'];
		$config['main']['db_pass'] = (isset($_POST['db_pass']) && !empty($_POST['db_pass'])) ? ($_POST['db_pass'] != $config['main']['db_pass']) ? TextSave($_POST['db_pass']) : $config['main']['db_pass'] : $config['main']['db_pass'];
	}

	savecfg();
	MessageSend(3, "Настройки успешно сохранены!");
}

switch (@$_GET['id']) {
	case 'rcon':
		ob_start();
		for ($i = 0; $i < count($config['servers']); $i++) {
			if (isset($_GET['test']) and (int) $_GET['test'] == $i) {
				$rcon = new RCON($i);

				if (@$rcon->connect()) {
					$status = '<p class="col-xs-12"><code>Статус: <i>ONLINE</i></code></p>';
				} else {
					$status = '<p class="col-xs-12"><code>Статус: <i>OFFLINE</i></code></p>';
				}
			} else {
				$status = '';
			}

			include LD_STYLE_DIR . '/admin/settings/servers_id.html';
		}
		$servers = ob_get_clean();

		$page['pid']	 = "rcon";

		ob_start();
		include LD_STYLE_DIR . '/admin/settings/rcon.html';
		$page['content'] = ob_get_clean();
		break;

	case 'merchant':
		$page['pid']	 = "merchant";

		ob_start();
		include LD_STYLE_DIR . '/admin/settings/merchant.html';
		$page['content'] = ob_get_clean();
		break;

	case 'links':
		$page['pid']	 = "links";

		$links = '';
		$ii = 0;

		ob_start();
		for ($i = 0; $i <= (count($config['links']) - 1); $i++)	{
			include LD_STYLE_DIR . '/admin/settings/links_id.html';
			$ii = $i;
		}
		$links = ob_get_clean();

		ob_start();
		include LD_STYLE_DIR . '/admin/settings/links.html';
		$page['content'] = ob_get_clean();
		break;

	case 'design':
		$page['title']   = "Настройки внешнего вида";
		$page['pid']	 = "design";

		$data = ['bootstrapVars' => $bootstrapVars];

		$page['content'] = loadTpl('/admin/settings/design.html', $data);
		break;

	case 'notifications':
		$page['title']   = "Настройки уведомлений ВКонтакте";
		$page['pid']	 = "notifications";

		if (!isset($config['vk'])) {
			$config['vk'] = [ 'accessToken' => '', 'accs' => [] ];
			savecfg();
		}

		$data = [ 'accs' => '' ];
		$i = 0;

		foreach ($config['vk']['accs'] as $account) {
			$account = [ 'id' => $account, 'i' => $i ];
			$data['accs'] .= loadTpl('/admin/settings/notifications_item.html', $account);
			$i++;
		}

		$data['i'] = $i - 1;

		$page['content'] = loadTpl('/admin/settings/notifications.html', $data);
		break;

	default:
		ob_start();
		include LD_STYLE_DIR . '/admin/settings/main.html';
		$page['content'] = ob_get_clean();
		break;
}