<?php
define("TKM", true);
require(realpath("../../system.php"));

if ($_SERVER['REQUEST_METHOD'] == "POST") {
	function ikSign($params, $ikKey) {
		unset($params['ik_sign']);
		foreach ($params as $key => $value)
			if (!preg_match("/^ik_/is", $key))
				unset($params[$key]);

		ksort($params, SORT_STRING);
		array_push($params, $ikKey);
		$sign = implode(":", $params);
		$sign = base64_encode(md5($sign, true));
		return $sign;
	}

	$kassaId = trim($_POST['ik_co_id']);
	$PayID = trim(strip_tags($_POST['ik_pm_no']));
	$summ = intval($_POST['ik_am']);
	$paySystem = trim($_POST['ik_pw_via']);
	$payStatus = trim($_POST['ik_inv_st']);
	$sign = trim($_POST['ik_sign']);
	$ik_payment_timestamp = trim($_POST['ik_inv_prc']);
	$secretKey = $interkassa['settings']['secret_key'];
	$PayID = explode("_", $PayID);
	$PayID = $PayID['1'];

	if ($interkassa['settings']['testing'] && ($paySystem == "test_interkassa_test_xts")) {
		$secretKey = $interkassa['settings']['testing_key'];
	} elseif ($paySystem == "test_interkassa_test_xts") {
		exit("OK");
	}

	if ($kassaId != $interkassa['settings']['shop_id']) {
		exit("Not valid shop ID!");
	}

	if ($sign != ikSign($_POST, $secretKey)) {
		exit("Bad sign");
	}

	$payment = new Payment;
	$status = $payment->select($PayID, $summ);

	if (!$status) {
		exit($status);
	}

	$status = $payment->give();

	if (!$status) {
		exit($status);
	}
}

exit("OK");