<?php
define("TKM", true);
require(realpath("../../system.php"));

function getrIP() {
	if (isset($_SERVER['HTTP_X_REAL_IP'])) {
		return $_SERVER['HTTP_X_REAL_IP'];
	}

	return $_SERVER['REMOTE_ADDR'];
}

function checkIp($ip, $mask) {
	list($mask_ip,$mask_max) = explode('/', $mask);
	$ip_mas = explode('.', $mask_ip);

	if (preg_match("#($ip_mas[0])\.($ip_mas[1])\.($ip_mas[2])\.(\d{1,3})$#i", $ip, $need)) {
		if ($need[4] <= $mask_max) return true;
		else return false;
	} else return false;
}

if (checkIp(getrIP(), '91.200.28.0/24') ||
	checkIp(getrIP(), '91.227.52.0/24')
) {
} else exit("Hacking attempt!");

if (isset($_POST['LMI_PREREQUEST']) && $_POST['LMI_PREREQUEST'] == 1) {
	if ($_POST['LMI_MERCHANT_ID'] !== $paymaster['settings']['shop_id']) exit("Incorrect merchant");

	$payid = $_POST['LMI_PAYMENT_NO'];
	$payment = new Payment;
	$status = $payment->select($payid, $_POST['LMI_PAYMENT_AMOUNT']);

	if ($status == 1) {
		echo 'YES';
	} else {
		exit($status);
	}
} else {
	if ($_POST['LMI_MERCHANT_ID'] !== $paymaster['settings']['shop_id']) exit("Incorrect merchant");

	$key = join(';', array(
		$_POST['LMI_MERCHANT_ID'],
		$_POST['LMI_PAYMENT_NO'],
		$_POST['LMI_SYS_PAYMENT_ID'],
		$_POST['LMI_SYS_PAYMENT_DATE'],
		$_POST['LMI_PAYMENT_AMOUNT'],
		$_POST['LMI_CURRENCY'],
		$_POST['LMI_PAID_AMOUNT'],
		$_POST['LMI_PAID_CURRENCY'],
		$_POST['LMI_PAYMENT_SYSTEM'],
		$_POST['LMI_SIM_MODE'],
		$paymaster['settings']['secret_key']));

	if (base64_encode(hash('sha256', $key, true)) !== $_POST['LMI_HASH']) exit("Incorrect hash");

	$payid = $_POST['LMI_PAYMENT_NO'];
	$payment = new Payment;
	$status = $payment->select($payid, $_POST['LMI_PAID_AMOUNT']);

	if (!$status) {
		exit($status);
	}

	$status = $payment->give();

	if (!$status) {
		exit($status);
	}

	exit("YES");
}