<?php
define("TKM", true);
require(realpath("../../system.php"));

function getrIP() {
	if (isset($_SERVER['HTTP_X_REAL_IP'])) {
		return $_SERVER['HTTP_X_REAL_IP'];
	}

	return $_SERVER['REMOTE_ADDR'];
}

function checkIp($ip, $mask) {
	list($mask_ip,$mask_max) = explode('/', $mask);
	$ip_mas = explode('.', $mask_ip);

	if (preg_match("#($ip_mas[0])\.($ip_mas[1])\.($ip_mas[2])\.(\d{1,3})$#i", $ip, $need)) {
		if ($need[4] <= $mask_max) return true;
		else return false;
	} else return false;
}

if (checkIp(getrIP(), '212.118.48.0/24') ||
	checkIp(getrIP(), '212.158.173.0/24') ||
	checkIp(getrIP(), '91.200.28.0/24') ||
	checkIp(getrIP(), '91.227.52.0/24')
) {
} else exit("Hacking attempt!");

if (isset($_POST['LMI_PREREQUEST']) && $_POST['LMI_PREREQUEST'] == 1) {
	if ($_POST['LMI_PAYEE_PURSE'] !== $webmoney['settings']['purse']) exit("Incorrect purse");

	$payid = $_POST['LMI_PAYMENT_NO'];
	$payment = new Payment;
	$status = $payment->select($payid, $_POST['LMI_PAYMENT_AMOUNT']);

	if ($status == 1) {
		echo 'YES';
	} else {
		exit($status);
	}
} else {
	if ($_POST['LMI_PAYEE_PURSE'] !== $webmoney['settings']['purse']) exit("Incorrect purse");

	$key = join(';', array(
		$_POST['LMI_PAYEE_PURSE'],
		$_POST['LMI_PAYMENT_AMOUNT'],
		$_POST['LMI_PAYMENT_NO'],
		$_POST['LMI_MODE'],
		$_POST['LMI_SYS_INVS_NO'],
		$_POST['LMI_SYS_TRANS_NO'],
		$_POST['LMI_SYS_TRANS_DATE'],
		$webmoney['settings']['secret_key'],
		$_POST['LMI_PAYER_PURSE'],
		$_POST['LMI_PAYER_WM']));

	if (strtoupper(hash('sha256', $key)) !== $_POST['LMI_HASH2']) exit("Incorrect hash");

	$payid = $_POST['LMI_PAYMENT_NO'];
	$payment = new Payment;
	$status = $payment->select($payid, $_POST['LMI_PAYMENT_AMOUNT']);

	if (!$status) {
		exit($status);
	}

	$status = $payment->give();

	if (!$status) {
		exit($status);
	}

	exit("YES");
}